Subject: Re: [PATCH 3/7] test patch hunk editing with "commit -p -m"

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Mar 2014 14:35:03 -0700

Benoit Pierre <[email-masked]> writes:

> Isn't the point of using "when finished" to have each test leave the
> tree clean after execution, to avoid "bleeding" onto the next test(s)?

But you cannot anticipate what other people will do in the future
before you have a chance to run this piece.  Your using when-finished
is courtesy for others.  Your explicitly making sure what you do not
want to be stray behind is protecting yourself from others.

They serve different purposes, and you need both.